<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/fr/ideal/logo_90x30.png" alt="Logo iDEAL"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '(«Mode de paiement conseillé»)');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - Activer module sofort.de');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', '«Mode de paiement conseillé»');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'Tester clé de configuration/API-Key');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Veuillez activer Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Zone de paiement');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Veuillez indiquer <b>séparément</b> les zones, lesquelles seront autorisées pour ce module. (par exemple AT,DE (si vide toutes les zones seront autorisées))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'État de commande temporaire');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Confirmer état de commande');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Annulation automatique avec rejet de débit');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Remboursement partiel');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Remboursement intégral');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'État de la commande pour un paiement annulé');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'État de commande en cas d\'une annulation complète');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'Ordre d\'affichage');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Clé de configuration attribué par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'Mot de passe du projet');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'Mot de passe de notification');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Référence 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Référence 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'Logo+texte');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Active/désactive le module entier');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'Mettre iDEAL comme méthode de paiement recommandée');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'Quand une zone est sélectionnée, la méthode de paiement est valable seulement pour cette zone.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'État de la commande pour transactions non-conclues. La commande a été crée mais la transaction n\'a pas encore été confirmée par SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'État de commande confirmé<br />État de commande après transaction conclue.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'État de la commande en cas d\'annulation entière.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'État de la commande pour commandes qui ont été annulées pendant le processus de paiement.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'État des commandes chez lesquelles une réception du paiement a été constatée après l\'expiration de la période d\'attente spécifiée dans le projet SOFORT et lesquelles ont été annulée automatiquement pour cette raison. Le remboursement du débit sera aussi transféré automatiquement sur le compte de l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'État des commandes quand un montant partiel a été remboursé à l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'État des commandes quand le montant intégral a été remboursé à l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Ordre de l\'affichage. Le chiffre plus petit est affiché en premier.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Clé de configuration attribué par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Mot de passe attribué par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Mot de passe de notification attribué par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Référence 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Référence 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Bannière ou texte dans la sélection des options de paiement');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - virements en ligne pour le commerce électronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiquées. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrés ou bien envoyés IMMÉDIATEMENT!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - virements en ligne pour le commerce électronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiquées. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrés ou bien envoyés IMMÉDIATEMENT!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'iDEAL sélectionné comme mode de paiement. Transaction pas conclue.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'La commande a été transmise avec succès. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Argent reçu. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'Le paiement a été annulé.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'La transaction a été annulée automatiquement. Retour de débit sur le compte de l\'acheteur a été ordonné.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'Une partie du montant sera remboursée.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'Le montant de la facture sera remboursé. {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'La commande a été annulée.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - virements en ligne pour le commerce électronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiquées. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrés ou bien envoyés IMMÉDIATEMENT!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'L\'erreur suivante a été signalée pendant le processus:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Veuillez sélectionner une banque avant l\'envoi!');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Erreur pendant la transmission de données, vous êtes prié de sélectionner un autre mode de paiement ou contacter le gérant de la boutique en ligne.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Un erreur s\'est produite pendant la commande.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'iDEAL sélectionné comme mode de paiement. Transaction pas conclue.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Dès que le client a sélectionné le mode de paiement et sa banque, il sera redirigé par SOFORT AG à sa banque. Là il effectue son paiement et sera retransmis ensuite sur le système de vente. Si la confirmation du paiement réussit, un Callback par SOFORT AG aura lieu sur le système de vente lequel modifie en conséquence l\'état du paiement de la commande.<br />Mis en place par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Veuillez sélectionner votre banque');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Sélection de banque:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>Après la confirmation de la commande vous serez redirigé au système de paiement de votre banque sélectionnée et vous pouvez y effectuer le virement en ligne.</p><p>Pour cela vous avez besoin de vos données d\'accès de banque en ligne, soit coordonnées bancaires, numéro de compte, code confidentiel et code de confirmation. Pour plus d\'information allez sur: <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');