<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_su.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('SOFORT_SU_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/sue/shopinfo/de");
	</script>
');

define('SOFORT_SU_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Nach Bestätigung der Bestellung werden Sie zum Zahlungssytem von SOFORT Überweisung weitergeleitet und können dort eine Online-Überweisung duchführen.</p><p>Hierfür benötigen Sie Ihre eBanking Zugangsdaten, d.h. Bankverbindung, Kontonummer, PIN und TAN.</p></td></tr></table>');

define('SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Überweisung <br /> <img src="https://images.sofort.com/de/su/logo_90x30.png" alt="Logo SOFORT Überweisung"/>');
define('SOFORT_SU_TEXT_TITLE', 'SOFORT Überweisung');
define('SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Überweisung mit Käuferschutz');
define('SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/de/su/logo_90x30.png" alt="Logo SOFORT Überweisung"/>');
define('SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Überweisung ist der kostenlose, TÜV-zertifizierte Zahlungsdienst der SOFORT AG.');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
	<a onclick="javascript:window.open(\'https://images.sofort.com/de/su/landing.php\',\'Kundeninformationen\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
		{{image}}
	</a>
	</td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Überweisung');

define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>Zahlungssystem mit TÜV-geprüftem Datenschutz</li><li>Keine Registrierung notwendig</li><li>Ware/Dienstleistung wird bei Verfügbarkeit SOFORT versendet</li><li>Bitte halten Sie Ihre Online-Banking-Daten (PIN/TAN) bereit</li></ul>');
define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>Bei Bezahlung mit SOFORT Überweisung genießen Sie Käuferschutz! [[link_beginn]]Mehr Informationen[[link_end]]</li><li>Zahlungssystem mit TÜV-geprüftem Datenschutz</li><li>Keine Registrierung notwendig</li><li>Ware/Dienstleistung wird bei Verfügbarkeit SOFORT versendet</li><li>Bitte halten Sie Ihre Online-Banking-Daten (PIN/TAN) bereit</li></ul>');
define('SOFORT_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/ger-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_TITLE', 'Erlaubte Zonen');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_DESC', 'Geben Sie <b>einzeln</b> die Zonen an, welche für dieses Modul erlaubt sein sollen. (z.B. AT,DE (wenn leer, werden alle Zonen erlaubt))');
define('SOFORT_SU_STATUS_TITLE', 'sofort.de Modul aktivieren');
define('SOFORT_SU_STATUS_DESC', 'Aktiviert/deaktiviert das komplette Modul');
define('SOFORT_SU_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SU_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SU_SORT_ORDER_TITLE', 'Anzeigereihenfolge');
define('SOFORT_SU_SORT_ORDER_DESC', 'Reihenfolge der Anzeige. Kleinste Ziffer wird zuerst angezeigt.');
define('SOFORT_SU_KS_STATUS_TITLE', 'Käuferschutz aktiviert');
define('SOFORT_SU_KS_STATUS_DESC', 'Käuferschutz für SOFORT Überweisung aktivieren');

define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Bestätigter Bestellstatus');
define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Bestätigter Bestellstatus<br />Bestellstatus nach abgeschlossener Transaktion.'); // (pending-not_credited_yet)

define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Bestellstatus, wenn kein Geld angekommen ist');
define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Status der Bestellung falls kein Geld auf Ihrem Konto eingegangen ist. (Voraussetzung: Konto bei der Sofort Bank).'); // (loss-not_credited)

define('SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Geldeingang');
define('SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Status für Bestellungen, wenn das Geld auf dem Konto der SOFORT Bank angekommen ist.'); // (received-credited)

define('SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Teilerstattung');
define('SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Status für Bestellungen, bei denen ein Teilbetrag an den Käufer zurückerstattet wurde.');  // (refunded-compensation)

define('SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'Vollständige Erstattung');
define('SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Status für Bestellungen, bei denen der vollständige Betrag an den Käufer zurückerstattet wurde.'); // (refunded-refunded)

define('SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', 'Empfohlene Zahlungsweise');
define('SOFORT_SU_RECOMMENDED_PAYMENT_DESC', 'Diese Zahlart als "empfohlene Zahlungsart" markieren. Auf der Bezahlseite erfolgt ein Hinweis direkt hinter der Zahlungsart.');
define('SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '(Empfohlene Zahlungsweise)');

define('SOFORT_SU_TMP_COMMENT', 'SOFORT Überweisung als Zahlungsart gewählt. Transaktion nicht abgeschlossen.');
define('SOFORT_SU_TMP_COMMENT_SELLER', 'Weiterleitung zu SOFORT - Bezahlung noch nicht erfolgt.');

define('SOFORT_SU_TEXT_ERROR_MESSAGE', 'Die gewählte Zahlart ist leider nicht möglich oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlweise.');
define('SOFORT_MULTIPAY_XML_FAULT_SU', 'Die gewählte Zahlart ist leider nicht möglich oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlweise.');

define('SOFORT_SU_PEN_NOT_CRE_YET_SELLER', '');
define('SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'Bestellung mit SOFORT Überweisung erfolgreich übermittelt. Ihre Transaktions-ID: {{transaction}}');
define('SOFORT_SU_LOS_NOT_CRE_SELLER', '');
define('SOFORT_SU_LOS_NOT_CRE_BUYER', 'Der Zahlungseingang konnte bis dato noch nicht festgestellt werden. {{time}}');
define('SOFORT_SU_REC_CRE_BUYER', '');
define('SOFORT_SU_REC_CRE_SELLER', 'Geldeingang auf Konto');
define('SOFORT_SU_REF_REF_SELLER', '');
define('SOFORT_SU_REF_REF_BUYER', 'Rechnungsbetrag wird zurückerstattet. {{time}}');
define('SOFORT_SU_REF_COM_SELLER', 'Ein Teil des Rechnungsbetrages wird zurückerstattet. Insgesamt zurückgebuchter Betrag: {{refunded_amount}}. {{time}}');
define('SOFORT_SU_REF_COM_BUYER', 'Ein Teil des Betrages wird erstattet.');

?>