<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/it/ideal/logo_90x30.png" alt="Logo iDEAL"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '("Modalità di pagamento consigliata")');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - Attivare modulo di sofort.de');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', '"Modalità di pagamento consigliata"');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'Test della chiave di configurazione/API key');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Ti preghiamo di attivare Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Zona di pagamento');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Indicare<b>singolarmente</b> le zone autorizzate per questo modulo. (ad es. AT, DE (se vuoto, vengono autorizzate tutte le zone))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'Stato dell\'ordine temporaneo');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Stato dell\'ordine confermato');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Annullamento automatico con storno');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Rimborso parziale');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Rimborso completo');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'Stato dell\'ordine per pagamento annullato.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'Stato dell\'ordine in caso di annullamento totale');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'Ordine di visualizzazione');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Chiave di configurazione assegnata da SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'Password di progetto');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'Password di notifica');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Causale 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Causale 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'Logo+Testo');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Attivare/disattivare l\'intero modulo');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'Selezionare iDEAL come modalità di pagamento consigliata');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'Se è stata selezionata una zona, il metodo di pagamento è valido solo per questa zona.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'Stato dell\'ordine per transazioni non concluse<br />L\'ordine è stato eseguito, ma la transazione non è stata ancora confermata da SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'Stato dell\'ordine confermato<br />Stato dell\'ordine dopo l\'avvenuta transazione.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'Stato dell\'ordine in caso di annullamento totale.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'Stato di ordini che sono stati annullati durante la procedura di pagamento.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'Stato per ordini, per cui l\'accredito è stato riscontrato dopo la scadenza del timout definito nel progetto di SOFORT e annullato di conseguenza automaticamente per questo motivo. Lo storno sul conto dell\'acquirente viene effettuato automaticamente.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'Stato per ordini, per cui un importo parziale viene rimborsato all\'acquirente.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'Stato per ordini, per cui l\'intero importo viene rimborsato all\'acquirente.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Ordine di visualizzazione. Il numero più piccolo sarà visualizzato per prima.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Chiave di configurazione assegnata da SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Password di progetto assegnata da SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Password di notifica assegnata da SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Causale 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Causale 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Banner o testo nella selezione delle opzioni di pagamento');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - bonifici online per l\'e-commerce con i Paesi Bassi. Per il pagamento con iDEAL hai bisogno di un conto presso una delle banche indicate. Il bonifico viene effettuato direttamente presso la tua banca. Se disponibili i servizi/la merce vengono consegnati o spediti SUBITO!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - bonifici online per l\'e-commerce con i Paesi Bassi. Per il pagamento con iDEAL hai bisogno di un conto presso una delle banche indicate. Il bonifico viene effettuato direttamente presso la tua banca. Se disponibili i servizi/la merce vengono consegnati o spediti SUBITO!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'iDEAL selezionata come modalità di pagamento. Transazione non conclusa.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'Ordine trasmesso con successo. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Accredito ricevuto. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'Il pagamento è stato annullato.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'La transazione è stata annullata. Lo storno sul conto dell´acquirente è stato impostato.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'Una parte dell\'importo verrà rimborsata.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'L\'importo della fattura verrà rimborsato. {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'L\'ordine è stato annullato.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - bonifici online per l\'e-commerce con i Paesi Bassi. Per il pagamento con iDEAL hai bisogno di un conto presso una delle banche indicate. Il bonifico viene effettuato direttamente presso la tua banca. Se disponibili i servizi/la merce vengono consegnati o spediti SUBITO!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'Il seguente errore è stato riscontrato durante l\'operazione:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Selezionare una banca prima dell\'invio!');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Errore durante la trasmissione dei dati. Selezionare un\'altra modalità di pagamento o contattare il gestore.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Si è verificato un errore durante l\'ordinazione.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'iDEAL selezionata come modalità di pagamento. Transazione non conclusa.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Appena il cliente avrà selezionato la modalità di pagamento e la sua banca, verrà reindirizzato alla sua banca mediante Payment SOFORT AG. In seguito effettuerà il pagamento e verrà reindirizzato alla sua piattaforma. Se il pagamento è avvenuto con successo verrà avviato un callback al sistema del negozio online attraverso SOFORT AG, che modificherà di conseguenza lo stato di pagamento dell\'ordine.<br />Messo a disposizione da SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Seleziona la tua banca.');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Selezione della banca:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>Dopo la conferma dell\'ordine verrai reindirizzato al sistema di pagamento della banca selezionata e potrai effettuare il bonifico online.</p><p>A tal fine avrai bisogno dei dati di accesso al servizio di online banking, ovvero delle coordinate bancarie, numero di conto, PIN e password dispositiva. Per maggiori informazioni vai su: <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');