<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/nl/ideal/logo_90x30.png" alt="Logo iDEAL"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '("Zalecane sposoby zapłaty")');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - Aktywacja modułu sofort.de');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', '"Zalecane sposoby zapłaty"');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'Przetestuj klucz konfiguracji/API-Key');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Prosimy aktywować Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Strefa płatności');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Prosimy o podanie <b>pojedynczo</b> stref, które będą dozwolone do użytkowania przez ten moduł. (np. AT, DE (pusto pole oznacza uruchomienie wszystkich stref))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'Tymczasowy status zamówienia');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Potwierdzony status zamówienia');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Automatyczna anulacja z przelewem zwrotnym');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Częściowy zwrot');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Pełny zwrot');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'Status zamówienia w przypadku przerwanej płatności.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'Status zamówienia przy pełnym anulowaniu');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'Kolejność wyświetlania');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Klucz konfiguracyjny nadany przez SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'Hasło projektu');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'Hasło powiadomień');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Tytuł przelewu 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Tytuł przelewu 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'Logo+tekst');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Aktywacja/deaktywacja całego modułu');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'Polecić iDEAL jako metodę płatności');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'Kiedy strefa zostanie wybrana, metoda płatnicza dotyczy tej strefy.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'Status zamówienia dla niezakończonych transakcji. Zamówienie zostało złożone ale transakcja nie została jeszcze potwierdzona przez SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'Potwierdzony status zamówienia<br />Status zamówienia po zakończonej transkacji.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'Status zamówienia w przypadku zupełnej anulacji.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'Status zamówienia w przypadku zamówień, które zostały przerwane podczas procesu płatności.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'Status dla zamówień, w przypadku których środki pieniężne wpłynęły dopiero po upływie Timeout ustanowionego w projekcie SOFORT i z tego powodu zostały automatycznie anulowane. Przelew zwrotny na konto kupującego również zostanie zlecony automatycznie.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'Status dla zamówień, w przypadku których kupującemu została zwrócona część sumy.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'Status dla zamówień, w przypadku których cała suma została zwrócona kupującemu.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Kolejność wyświetlania. Najniższe cyfry zostają wyświetlone jako pierwsze.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Klucz konfiguracyjny nadany przez SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Nadane przez SOFORT AG hasło projektu');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Nadane przez SOFORT AG hasło powiadomień');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Tytuł przelewu 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Tytuł przelewu 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Baner lub tekst przy wyborze opcji płatniczej');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - przelewy internetowe dla elektronicznego handlu w Holandii. W celu zapłaty przy pomocy iDEAL potrzebują Państwo konto bankowego w jednym z wymienionych banków. Dokonują Państwo przelewu bezpośrednio w Państwa banku. Usługi/towary zostaną NATYCHMIAST wysłane!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - przelewy internetowe dla elektronicznego handlu w Holandii. W celu zapłaty przy pomocy iDEAL potrzebują Państwo konto bankowego w jednym z wymienionych banków. Dokonują Państwo przelewu bezpośrednio w Państwa banku. Usługi/towary zostaną NATYCHMIAST wysłane!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'iDEAL jako metoda płatnicza. Transakcja nie została zakończona.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'Zamównienie zostało skutecznie przekazane. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Pieniądze nadeszły. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'Płatność została anulowana.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'Transakcja została automatycznie anulowana. Przelew zwrotny na rachunek klienta końcowego zostało przyjęte do realizacji.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'Część sumy zostanie zwrócony.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'Kwota faktury zostanie zwrócona. {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'Die Bestellung wurde abgebrochen.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - przelewy internetowe dla elektronicznego handlu w Holandii. W celu zapłaty przy pomocy iDEAL potrzebują Państwo konto bankowego w jednym z wymienionych banków. Dokonują Państwo przelewu bezpośrednio w Państwa banku. Usługi/towary zostaną NATYCHMIAST wysłane!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'Następujący błąd wystąpił podczas procesu:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Prosimy o wybranie innego banku przed wysłaniem!');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Błąd podczas przesyłania danych, prosimy o wybranie innej metody płatniczej lub o kontakt ze sprzedawcą.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Wystąpił błąd podczas zamówienia.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'iDEAL jako metoda płatnicza. Transakcja nie została zakończona.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Jak tylko klient wybierze tą metodę płatniczą i swój bank zostanie przekierowany przez SOFORT AG do swojego banku. Tam dokona on płatności i zostanie przekierowany z powrotem do sklepu. Podczas pomyślnego potwierdzenia płatności ma miejsce przez SOFORT AG tak zwany callback  do sklepu, który odpowiednio zmienia status płatności  danego zamówienia. <br />Przygotowane przez SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Prosimy o wybranie banku');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Wybór banku:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>Po potwierdzeniu zamówienia zostaną Państwo przekierowani do systemu płatniczego wybranego przez Państwa banku i tam mogą Państwo dokonać przelewu internetowego.</p><p>Do tego celu potrzebują Państwo danych dostępowych Państwa bankowości internetowej: połączenie bankowe, numer konta, PIN i kod weryfikacyjny TAN. Więcej informacji znajdą Państwo tutaj:  <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');