<?php
/**
 * @version SOFORT iDEAL - $Date: 2012-09-06 13:49:09 +0200 (Thu, 06 Sep 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofortInstallIdeal.php 5326 2012-09-06 11:49:09Z boehm $
 */

//Notice: DB-field orders_status_name is varchar(32)!
//if following strings are longer, they will be cut!
define('SOFORT_IDEAL_STATE_TEMP_GERMAN', 'Bezahlung schwebend');
define('SOFORT_IDEAL_STATE_CONFIRMED_GERMAN', 'Bestätigt');
define('SOFORT_IDEAL_STATE_ABORTED_GERMAN', 'Bezahlung abgebrochen');
define('SOFORT_IDEAL_STATE_LOSS_GERMAN', 'Storniert');
define('SOFORT_IDEAL_STATE_REF_COM_GERMAN', 'Teilrückerstattung');
define('SOFORT_IDEAL_STATE_REF_REF_GERMAN', 'Erstattung');

define('SOFORT_IDEAL_STATE_TEMP_ENGLISH', 'Payment pending');
define('SOFORT_IDEAL_STATE_CONFIRMED_ENGLISH', 'Confirmed');
define('SOFORT_IDEAL_STATE_ABORTED_ENGLISH', 'Payment aborted');
define('SOFORT_IDEAL_STATE_LOSS_ENGLISH', 'Cancelled');
define('SOFORT_IDEAL_STATE_REF_COM_ENGLISH', 'Partial refund');
define('SOFORT_IDEAL_STATE_REF_REF_ENGLISH', 'Refund');

define('SOFORT_IDEAL_STATE_TEMP_POLISH', 'Płatność w toku');
define('SOFORT_IDEAL_STATE_CONFIRMED_POLISH', 'Potwierdzone');
define('SOFORT_IDEAL_STATE_ABORTED_POLISH', 'Płatność została przerwana');
define('SOFORT_IDEAL_STATE_LOSS_POLISH', 'Anulowano');
define('SOFORT_IDEAL_STATE_REF_COM_POLISH', 'Częściowy zwrot');
define('SOFORT_IDEAL_STATE_REF_REF_POLISH', 'Zwrot');

define('SOFORT_IDEAL_STATE_TEMP_DUTCH', 'In afwachting van betaling');
define('SOFORT_IDEAL_STATE_CONFIRMED_DUTCH', 'Bevestigd');
define('SOFORT_IDEAL_STATE_ABORTED_DUTCH', 'Betaling afgebroken');
define('SOFORT_IDEAL_STATE_LOSS_DUTCH', 'Gestorneerd');
define('SOFORT_IDEAL_STATE_REF_COM_DUTCH', 'Gedeeltelijke terugbetaling');
define('SOFORT_IDEAL_STATE_REF_REF_DUTCH', 'vergoeden');

define('SOFORT_IDEAL_STATE_TEMP_FRENCH', 'Paiement en attente');
define('SOFORT_IDEAL_STATE_CONFIRMED_FRENCH', 'Confirmé');
define('SOFORT_IDEAL_STATE_ABORTED_FRENCH', 'Paiement annulé');
define('SOFORT_IDEAL_STATE_LOSS_FRENCH', 'Annulé');
define('SOFORT_IDEAL_STATE_REF_COM_FRENCH', 'Remboursement partiel');
define('SOFORT_IDEAL_STATE_REF_REF_FRENCH', 'Remboursement');

define('SOFORT_IDEAL_STATE_TEMP_ITALIAN', 'Pagamento in sospeso');
define('SOFORT_IDEAL_STATE_CONFIRMED_ITALIAN', 'Confermato');
define('SOFORT_IDEAL_STATE_ABORTED_ITALIAN', 'Pagamento interrotto');
define('SOFORT_IDEAL_STATE_LOSS_ITALIAN', 'Annullato');
define('SOFORT_IDEAL_STATE_REF_COM_ITALIAN', 'Rimborso parziale');
define('SOFORT_IDEAL_STATE_REF_REF_ITALIAN', 'Rimborso');
